nicotine (3.3.10-1) unstable; urgency=medium

  * New upstream version

 -- Francois Mazen <mzf@debian.org>  Wed, 26 Mar 2025 21:51:39 +0100

nicotine (3.3.7-1) unstable; urgency=medium

  * New upstream version.
  * Bump standard version to 4.7.0

 -- Francois Mazen <mzf@debian.org>  Wed, 02 Oct 2024 21:18:22 +0200

nicotine (3.3.4-1) unstable; urgency=medium

  * New upstream version.
  * Fix GTK4 runtime dependencies (Closes: #1071203).
  * Update d/copyright with removed files.

 -- Francois Mazen <mzf@debian.org>  Sat, 25 May 2024 18:01:34 +0200

nicotine (3.3.2-1) unstable; urgency=medium

  * New upstream version.
  * Add allow-stderr for autopkgtest due to ZINK error.
  * Change XDG_RUNTIME_DIR permission in autopkgtest.

 -- Francois Mazen <mzf@debian.org>  Sun, 03 Mar 2024 09:56:21 +0100

nicotine (3.2.9-2) unstable; urgency=medium

  * Add missing runtime python dependencies (Closes: #1052712)
  * Add startup autopkgtest

 -- Francois Mazen <mzf@debian.org>  Wed, 04 Oct 2023 19:13:39 +0200

nicotine (3.2.9-1) unstable; urgency=medium

  * New upstream version.
  * Bump standard version to 4.6.2
  * Update d/copyright

 -- Francois Mazen <francois@mzf.fr>  Thu, 14 Sep 2023 22:39:12 +0200

nicotine (3.2.5-2) unstable; urgency=medium

  * Team upload
  * d/copyright: Add spelling variant for Mathias
  * Install AUTHORS and TRANSLATORS

 -- Bastian Germann <bage@debian.org>  Sun, 10 Sep 2023 22:00:02 +0200

nicotine (3.2.5-1) unstable; urgency=medium

  * Package reintroduction (Closes: #966000, #1004401)
  * New upstream release (Closes: #990852)
  * New maintainer and uploaders
  * Bump standard version to 4.6.1.0
  * Set debhelper-compat to 13
  * Remove trailing whitespace in changelog
  * Remove menu file
  * Fix permission on geoip database file
  * Remove license file and README in the installation
  * Add upstream metadata

 -- Francois Mazen <francois@mzf.fr>  Wed, 17 Aug 2022 17:16:54 +0200

nicotine (1.2.16+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (Closes: #786292)
  * Drop debian/pyversions

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 23 Aug 2015 16:18:47 +0500

nicotine (1.2.16+dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #626887.
  * nicotine-rm-nonfree: update to new filenames in gnome-icon-theme.
  * Switch to 3.0 quilt format.
  * Use a tar.bz2 format.
  * Install the icons in /usr/share/icons/hicolor.
  * 02_desktop_paths.patch: updated according to the icon names changes.
  * 05_documentation.patch: updated for the new version.
  * 11_disable_sound.patch: refreshed.
  * 12_default_commands.patch: 2/3rds have been merged upstream.
  * 14_about_icon.patch: updated to follow upstream changes.

 -- Josselin Mouette <joss@debian.org>  Wed, 18 May 2011 23:18:37 +0200

nicotine (1.2.14+dfsg-1) unstable; urgency=low

  * New upstream release.
  * 04_buttons_ordering.patch, 05_documentation.patch,
    13_migrate_oldconfig.patch: updated for the new version.
  * 14_about_icon.patch: updated, also ignore vector icons, the code
    makes my eyes bleed and loads the SVG at a fixed size.
  * Require python 2.5.
  * Require python-glade2.
  * 02_desktop_paths.patch: new patch. Execute nicotine, not
    nicotine.py. (Insert facepalm picture here.)

 -- Josselin Mouette <joss@debian.org>  Sat, 21 Nov 2009 11:25:30 +0100

nicotine (1.2.12+dfsg-1) unstable; urgency=low

  * New upstream release.
  * nicotine-rm-nonfree: also remove the .ico stuff.
  * Recommend mutagen instead of pyvorbis.
  * Cope with the renaming of nicotine to nicotine.py
  * 04_buttons_ordering.patch: the glade part doesn’t need patching
    anymore.
  * 10_exitdialog.patch, 12_default_commands.patch: refreshed for the
    new version.
  * 14_about_icon.patch: set an icon for the about menu entry.

 -- Josselin Mouette <joss@debian.org>  Wed, 24 Jun 2009 14:53:37 +0200

nicotine (1.2.10+dfsg-1) unstable; urgency=low

  * New upstream release.
  * 02_rhythmbox_nowplaying.patch: removed, fixed upstream.
  * 03_settingswindow_combobox.patch: removed, fixed upstream.
  * 04_buttons_ordering.patch: updated, parts of the issue are fixed
    upstream.
  * 10_exitdialog.patch, 11_disable_sound.patch,
    12_default_commands.patch, 13_migrate_oldconfig.patch: updated for
    the new version.
  * 14_translations_oldserver.patch: dropped, obsolete.

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Mar 2009 12:19:29 +0100

nicotine (1.2.9+dfsg-3) unstable; urgency=low

  * 13_migrate_oldconfig.patch: migrate configuration to the new server
    (port 2242 instead of 2240).
  * 14_translations_oldserver.patch: fix translations in which
    mail.slsk.org still appears.
  * watch: use dversionmangle.
  * Standards version is 3.8.0, no changes.
  * Use new homepage header.
  * 02_rhythmbox_nowplaying.patch: patch from “Osiris X” to fix the Now
    playing feature for Rhythmbox. Closes: #487344.

 -- Josselin Mouette <joss@debian.org>  Thu, 11 Sep 2008 16:26:51 +0200

nicotine (1.2.9+dfsg-2) unstable; urgency=low

  * The "let’s apply my own recommendations" release.
  * Switch to quilt, split patches. Build-depend on quilt.
  * Remove the trayicon change, it is unneeded now nicotine is again
    architecture-independent.
  * Remove the "Abort&Delete" relabel change, because it breaks i18n.

 -- Josselin Mouette <joss@debian.org>  Sat, 17 May 2008 15:48:19 +0200

nicotine (1.2.9+dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #453315.
    + Checks that playbin is installed before using gst.
      Closes: #447335.
  * Fix watch file. Closes: #449694.
  * Recommend python-notify.
  * Suggest python-sexy and python-dbus.
  * Patch from Ubuntu to relabel the Abort&Delete button, thanks
    Andrea Colangelo. Closes: #448624.
  * Standards version is 3.7.3.
  * pynicotine/gtkgui/dirchooser.py: remove the infamous OK/Cancel
    button inversion.
  * pynicotine/config.py: Disable the horrible exit dialog by default.
  * pynicotine/gtkgui/settings_window.py: work around absolutely
    horrible and broken code to obtain the combobox values.
  * nicotine_settings.glade, pynicotine/gtkgui/settings_glade.py:
    correct the button ordering for the settings dialog.
  * chatrooms.py: ditto for the TickerDialog.
  * utils.py: ditto for the InputDialog.
  * entrydialog.py: ditto for FolderDownloadDialog and OptionDialog.
  * pynicotine/config.py: set xdg-open as the default file manager.
  * Recommend xdg-utils.

 -- Josselin Mouette <joss@debian.org>  Sun, 16 Dec 2007 19:26:57 +0100

nicotine (1.2.8+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Make the package arch-all again, thanks to the notify PyGTK API.
  * Depend on pygtk 2.10.
  * Don't build the status module.

 -- Josselin Mouette <joss@debian.org>  Fri, 08 Jun 2007 23:44:25 +0200

nicotine (1.2.7.1+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #415760).
    + Don't resume aborted downloads after a reconnection
      (closes: #256048).

 -- Josselin Mouette <joss@debian.org>  Wed, 21 Mar 2007 21:09:20 +0100

nicotine (1.2.6+dfsg-1) unstable; urgency=low

  * New upstream release (closes: #394829).
  * Correctly rename the tarball with "dfsg" in the name.
  * The tarball was generated with an updated nicotine-rm-nonfree:
    + document the changes in img/README;
    + remove suspiciously licensed win32 code as suggested by Adam
      Cécile.
  * Much improved copyright, thanks Adam Cécile.
  * trayicon/Makefile.in: link with -Wl,--as-needed.
  * Add ${shlibs:Depends} to dependencies.
  * Nicotine+ branding (closes: #392519).
    + control: fix URL.
    + nicotine.xpm: use nicotine+ icon.
    + menu: nicotine-plus.

 -- Josselin Mouette <joss@debian.org>  Tue, 14 Nov 2006 20:40:26 +0100

nicotine (1.2.5.1-1) unstable; urgency=low

  * New upstream release.
  * nicotine-rm-nonfree:
    + Update for gnome 2.16 paths.
    + Remove sounds (licensed under Creative commons).
  * README.Debian: updated accordingly.
  * pynicotine/config.py: make sensible-browser the default url handler,
    and deactivate sound by default.
  * docs: install the html documentation.
  * pynicotine/gtkgui/frame.py: use the documentation in the Debian doc
    directory.

 -- Josselin Mouette <joss@debian.org>  Thu, 28 Sep 2006 00:38:32 +0200

nicotine (1.2.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.
  * Remove non-free icons from the Silk theme, and replace them by icons
    generated from the GNOME icon theme.
  * Update nicotine-rm-nonfree accordingly.
  * Document that in copyright and README.Debian.
  * Point rules and docs to the new documentation location.
  * Kill dh_python from rules, pycompat and control.

 -- Josselin Mouette <joss@debian.org>  Mon,  4 Sep 2006 23:35:51 +0200

nicotine (1.2.2-3) unstable; urgency=low

  * Put the debhelper commands in the binary-arch target, now we're
    binary-dependent.

 -- Josselin Mouette <joss@debian.org>  Sat,  1 Jul 2006 01:31:11 +0200

nicotine (1.2.2-2) unstable; urgency=low

  * Build-depend on python-gtk2-dev, not python-gtk2 (closes: #376212).

 -- Josselin Mouette <joss@debian.org>  Sat,  1 Jul 2006 00:56:34 +0200

nicotine (1.2.2-1) unstable; urgency=low

  * New upstream release (closes: #375820).
  * We now use nicotine+, update the copyright file.
  * Replace icons with better ones from gnome-icon-theme.
  * Packaging improvements from Adam Cécile (closes: #375817).
    + Include emails in copyright file.
    + Add watch file.
    + Fix dashes in nicotine-import-winconfig.1.
  * Standards version is 3.7.2.
  * Include the systray plugin (closes: #300494).
    + Bump build dependencies.
    + Require python-support, python-all-dev and python-gtk2-dev.
    + Build with a new python policy style.
    + compat=5, pycompat=2.
    + nicotine is now arch-any.
  * Include nicotine-rm-nonfree in the debian/ directory.
  * trayicon/Makefile.in:
    + add -fPIC in the CFLAGS;
    + install in pynicotine/ subdirectory.
  * pynicotine/gtkgui/frame.py: import the trayicon in the subdirectory.
  * Make the modules public.

 -- Josselin Mouette <joss@debian.org>  Fri, 30 Jun 2006 23:59:39 +0200

nicotine (1.0.8.e-1) unstable; urgency=low

  * New upstream release (closes: #361350).
  * files/nicotine.desktop: use StartupNotify (closes: #361528).

 -- Josselin Mouette <joss@debian.org>  Mon, 24 Apr 2006 21:41:55 +0200

nicotine (1.0.8.da-1) unstable; urgency=low

  * New upstream release.
  * Switch to the daelstorm branch (closes: #350832).
  * Remove the dirchooser patch, upstream now has better.
  * Update copyright and README.Debian accordingly.
  * Update FSF address.
  * Standards-version is 3.6.2.
  * Switch to a private-module packaging.

 -- Josselin Mouette <joss@debian.org>  Thu, 16 Feb 2006 19:52:48 +0100

nicotine (1.0.8rc1-1) unstable; urgency=high

  * New upstream release.
  * High urgency, as it fixes 2 protocol bugs.

 -- Josselin Mouette <joss@debian.org>  Tue, 14 Sep 2004 10:36:28 +0200

nicotine (1.0.7-1) unstable; urgency=low

  * New upstream release (closes: #230919).
  * Now suggests python-gnome2.

 -- Josselin Mouette <joss@debian.org>  Wed,  4 Feb 2004 12:44:07 +0100

nicotine (1.0.6+7rc2-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <joss@debian.org>  Sat, 17 Jan 2004 14:28:50 +0100

nicotine (1.0.6-1) unstable; urgency=medium

  * New upstream release (closes: #222646).
    + Should fix UI freezes (closes: #218719).
    + Setting urgency to medium as the protocol for searches has
      changed. Again.
  * Suggest again python-psyco (it is enabled by default).
  * Default server is now sk2.slsknet.org.
  * Now ship upstream icons and .desktop file.

 -- Josselin Mouette <joss@debian.org>  Sat,  6 Dec 2003 15:00:12 +0100

nicotine (1.0.5-1) unstable; urgency=high

  * New upstream release (closes: #219538).
  * Critical fix: server protocol change.

 -- Josselin Mouette <joss@debian.org>  Fri,  7 Nov 2003 09:35:51 +0100

nicotine (1.0.4.1-1) unstable; urgency=low

  * New upstream release (closes: #217920).
  * Include newer fr.po from Julien Wajsberg <flash@minet.net>.

 -- Josselin Mouette <joss@debian.org>  Sun,  2 Nov 2003 16:51:43 +0100

nicotine (1.0.4-2) unstable; urgency=low

  * Now use mail.slsknet.org as default server.

 -- Josselin Mouette <joss@debian.org>  Thu, 25 Sep 2003 10:46:59 +0200

nicotine (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Build and ship .mo files.

 -- Josselin Mouette <joss@debian.org>  Thu, 18 Sep 2003 22:48:57 +0200

nicotine (1.0.3.0-1) unstable; urgency=low

  * Remove non-free material (icons) from upstream tarball. We are now
    using PNG icons from the gossip package.

 -- Josselin Mouette <joss@debian.org>  Mon,  8 Sep 2003 14:05:21 +0200

nicotine (1.0.3-2) unstable; urgency=low

  * pynicotine/gtkgui/dirchooser.py: use a decent directory chooser
    (closes: #208725).

 -- Josselin Mouette <joss@debian.org>  Sat,  6 Sep 2003 15:50:08 +0200

nicotine (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Disabled psyco stuff, as asked by upstream author.

 -- Josselin Mouette <joss@debian.org>  Wed,  3 Sep 2003 17:58:31 +0200

nicotine (1.0.2-2) unstable; urgency=low

  * Support for python-geoip.

 -- Josselin Mouette <joss@debian.org>  Mon, 25 Aug 2003 21:03:54 +0200

nicotine (1.0.2-1) unstable; urgency=low

  * Initial release (closes: #206544).
  * Mostly re-use pyslsk packaging.

 -- Josselin Mouette <joss@debian.org>  Mon, 25 Aug 2003 14:10:29 +0200
